.image-container:not(.height-based),
.image-container:not(.height-based) img,
.image-container.with-placeholder.loaded:not(.height-based) img {

    width: 100%
}

.image-container img {

    max-width: 100%
}

.image-container:not(.height-based) img,
.image-container.with-placeholder.loaded:not(.height-based) img {

    height: auto
}

.image-container.height-based,
.image-container.height-based img,
.image-container.with-placeholder.loaded.height-based img {

    height: 100%
}

.image-container.height-based img,
.image-container.with-placeholder.loaded.height-based img {

    width: auto
}

.image-container.with-placeholder img {

    height: var(--height);

    width: var(--width)
}
